Loading...
Searching...
No Matches
Dune::Functions::GridViewFunction< Range(Domain), GV, DerivativeTraits, bufferSize > Class Template Reference
Functions » Function interface wrappers

Wrapper class for functions defined on a GridView. More...

`#include <dune/functions/gridfunctions/gridviewfunction.hh>`

Inheritance diagram for Dune::Functions::GridViewFunction< Range(Domain), GV, DerivativeTraits, bufferSize >:

## Public Types

using | GridView = GV

## Detailed Description

template<class Range, class Domain, class GV, template< class > class DerivativeTraits, size_t bufferSize>
class Dune::Functions::GridViewFunction< Range(Domain), GV, DerivativeTraits, bufferSize >

Wrapper class for functions defined on a GridView.

Being defined on a grid view means in particular that you can evaluate the function in local coordinates of a given element of the grid view.

This models the Concept::GridViewFunction<Range(Domain), GridView, DerivativeTraits> concept.

Template Parameters

  GV | The GridView that the function is defined on
  Domain | The domain type used for function arguments
  Range | The range type used for function values

## Member Typedef Documentation

## GridView

template<class Range, class Domain, class GV, template< class > class DerivativeTraits, size_t bufferSize>

using Dune::Functions::GridViewFunction< Range(Domain), GV, DerivativeTraits, bufferSize >::GridView = GV

The documentation for this class was generated from the following file:

- gridviewfunction.hh